
#pragma once

// Registers
#define     TS_VCONFIG      0x00
#define     TS_STATUS       0x00
#define     TS_VPAGE        0x01
#define     TS_GXOFFSL      0x02
#define     TS_GXOFFSH      0x03
#define     TS_GYOFFSL      0x04
#define     TS_GYOFFSH      0x05
#define     TS_TSCONFIG     0x06
#define     TS_PALSEL       0x07
#define     TS_BORDER       0x0F
#define     TS_PAGE0        0x10
#define     TS_PAGE1        0x11
#define     TS_PAGE2        0x12
#define     TS_PAGE3        0x13
#define     TS_FMADDR       0x15
#define     TS_TMPAGE       0x16
#define     TS_T0GPAGE      0x17
#define     TS_T1GPAGE      0x18
#define     TS_SGPAGE       0x19
#define     TS_DMASADDRL    0x1A
#define     TS_DMASADDRH    0x1B
#define     TS_DMASADDRX    0x1C
#define     TS_DMADADDRL    0x1D
#define     TS_DMADADDRH    0x1E
#define     TS_DMADADDRX    0x1F
#define     TS_SYSCONFIG    0x20
#define     TS_MEMCONFIG    0x21
#define     TS_HSINT        0x22
#define     TS_VSINTL       0x23
#define     TS_VSINTH       0x24
#define     TS_DMALEN       0x26
#define     TS_DMACTR       0x27
#define     TS_DMASTATUS    0x27
#define     TS_DMANUM       0x28
#define     TS_FDDVIRT      0x29
#define     TS_INTMASK      0x2A
#define     TS_T0XOFFSL     0x40
#define     TS_T0XOFFSH     0x41
#define     TS_T0YOFFSL     0x42
#define     TS_T0YOFFSH     0x43
#define     TS_T1XOFFSL     0x44
#define     TS_T1XOFFSH     0x45
#define     TS_T1YOFFSL     0x46
#define     TS_T1YOFFSH     0x47

#include <tsfunc.c>
