@echo off

set PRJ=main
set path=%path%;res;c:\Tools\PROG\SDCC\bin\

if not exist obj md obj
del /q /s obj >nul

sdasz80 -o obj/crt0.rel src/crt0.s
sdcc -I ../lib -I ../ft812lib -I ../tslib -mz80 --std-sdcc11 --no-std-crt0 --opt-code-speed -Wl-b_HEADER=0x0000 -Wl-b_IM1=0x0038 -Wl-b_HOME=0x0040 -Wl-b_CODE=0x0400 -Wl-b_DATA=0x3800 obj/crt0.rel src/main.c -o obj/out.hex
if exist obj/out.hex hex2bin obj/out.hex >nul
ren obj\out.bin code.C

spgbld.exe -b spg.ini %PRJ%.spg -c 0 >nul

REM trdtool # %PRJ%.trd >nul
REM trdtool + %PRJ%.trd res/boot.$b obj/code.C >nul

pause
